## Script (Python) "getDictDay"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Get dictionary of day view info for calendar
##
"""
returns a dictionary of useful objects for the Day view  

modified for CalendarX 0.4.7(alpha) to extend startForBefore by one minute, not one second
Released under the GPL (see LICENSE.txt)
"""
request = container.REQUEST

#get the common view dictionary (ALL views must gather this info)
dict = context.getDictCommon('day')

#retrieve from dict for use in queries
dayviewstarthour = dict['viewstarthour']
dayviewendhour = dict['viewendhour']
startDate = dict['startDate']
endDate = dict['endDate']
xmy = dict['xmy']
xsub = dict['xsub']
xpub = dict['xpub']
xcrt = dict['xcrt']



#create the continuing events query
#add one second to startDate before querying
startForBefore = DateTime(str(startDate.year())+'/'+str(startDate.month())+'/'+str(startDate.day())+' '+str(startDate.hour())+':01:00')
continuingEvents = context.getCXEventsBefore(startForBefore, xmy, xsub, xpub, xcrt)


#create a laterthan events query
eveStart = endDate
eveEnd = startDate + 1
laterEvents =   context.getCXEventsBetween(eveStart, eveEnd, xmy, xsub, xpub, xcrt)




#marshall this views new parameters into the dictionary
dict['dayviewstarthour'] = dayviewstarthour
dict['dayviewendhour'] = dayviewendhour
dict['continuingEvents'] = continuingEvents
dict['laterEvents'] = laterEvents


return dict

